#
# spec file for package perl-Devel-Symdump (Version 2.01)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-Devel-Symdump
%define apache_includedir   	%(apxs -q INCLUDEDIR)
%define version_perl       	%(rpm -q --queryformat '%{version}' perl)
%define version_apache		%(rpm -q --queryformat '%{version}' apache)
%define perl_installsitelib  	%(eval "`perl -V:installsitelib`"; echo $installsitelib)
Copyright:    BSD style
Group:        Development/Libraries/Perl
Provides:     Devel-Symdump
Requires:     perl = %{version_perl} 
Conflicts:    perlmod
Autoreqprov:  on
Version:      2.01
Release:      117
Source:       Devel-Symdump-2.01.tar.gz 
Summary:      inspect perl's symbol table
BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}

%description
The perl module Devel::Symdump provides a convenient way to inspect
perl's symbol table and the class hierarchie within a running program.

Authors:
--------
    Andreas Knig <andreas.koenig@anima.de>

SuSE series: perl

%prep 
%setup -n Devel-Symdump-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS"
export APACHE=`which httpd`
perl Makefile.PL
make all
make test
	

%install
export CFLAGS="$RPM_OPT_FLAGS"
export APACHE=`which httpd`
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
eval `perl -V:installarchlib`
install -d $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr \
        INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
        INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
        install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT/$installarchlib/perllocal.pod | \
	sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/%{name}
cd $RPM_BUILD_ROOT/%{perl_sitearch}/auto/Devel/Symdump/
       cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist

%files
%defattr(-, root, root)
%doc ChangeLog README MANIFEST
%doc %{_mandir}/man3/Devel::Symdump.3pm.gz
%{perl_sitearch}/auto/Devel/Symdump/
%{perl_installsitelib}/Devel/Symdump.pm
%{perl_installsitelib}/Devel/Symdump/
/var/adm/perl-modules/%{name}

%changelog -n perl-Devel-Symdump
* Tue Nov 21 2000 - rolf@suse.de
- extract from perlmod package
- update to version 2.01
